TEMA SOLUCIONADO Problema con las dependecias Ubuntu 12.04

Imagen de nica
0 puntos

Hola, tengo una problema que no me deja actualizar el sistema, cuando lo intento me salta todo este choclo:

veri@veri-desktop:~$ sudo apt-get upgrade
[sudo] password for veri:
[...]
stá instalado
xserver-common : Depende: x11-xkb-utils pero no está instalado
Recomienda: xauth pero no está instalado
xubuntu-artwork : Depende: libnewt0.52 (>= 0.52.11-2ubuntu7) pero no está instalado
xubuntu-default-settings : Depende: dconf-gsettings-backend pero no está instalado o
gsettings-backend
Depende: gconf2 (>= 2.28.1-2) pero no está instalado
Depende: lightdm-gtk-greeter (>= 1.0.0-0ubuntu2) pero no está instalado
PreDepende: dpkg (>= 1.15.7.2) pero no está instalado
Recomienda: xfce4-session pero no está instalado
Recomienda: libxfce4ui-utils pero no es instalable
zeitgeist : Depende: zeitgeist-core pero no está instalado
Depende: zeitgeist-datahub pero no está instalado
zlib1g : PreDepende: multiarch-support pero no está instalado
zram-config : Depende: upstart-job
[...]
E: Dependencias incumplidas. Pruebe de nuevo usando -f.

Sin querer borre la carpeta dpgk, y desde ahi que no puedo instalar desinstalar nada. Busque en internet pero nada me dio resultado, si alguna sabe como arreglarlo sin tener que reinstalar todo el sistema, muchas gracias :)

Veri

Imagen de alberto_lara
+1
0
-1

Borraste /var/lib/dpkg/ ? bueno a todos nos puede pasar cuando estamos aprendiendo jeje (me incluyo) intenta reinstalar dpkg con sudo apt-get install dpkg
Saludos y espero que te sirva de algo.
También me encontré ésto http://www.esdebian.org/foro/39841/borre-carpeta-dpkg

+1
0
-1
Imagen de nica
+1
0
-1

Pero si intente eso y me sale exactamente lo mismo

veri@veri-desktop:~$ sudo apt-get install dpkg
E: Dependencias incumplidas. Intente «apt-get -f install» sin paquetes (o especifique una solución).

Y el otro link que me pasaste ya la estuve mirando antes de crear esta pregunta y no pude solucionar el problema

+1
0
-1
Imagen de LyingB
+1
0
-1

lo que te dice el error?


sudo apt-get install -f

+1
0
-1


Agrega al final del título del post (solucionado) si has arreglado tu problema.

Imagen de nica
+1
0
-1

... hice fue justamente sudo apt-get install -f pero me salta esto:

veri@veri-desktop:~$ sudo apt-get install -f

E: Error, pkgProblemResolver::Resolve generó cortes, esto puede haber sido causado por paquetes retenidos.
E: No se puede corregir las dependencias

Y no se que hacer busque por todos lados pero no encuentro este error, y que varios borraro la carpeta esta, de hecho http://foro.ubuntu-guia.com/Instalacion-de-paquetes-en-Debian-y-resoluci... este es un muy buen foro que explica pero nada de lo que dice ahi me soluciona el problema

+1
0
-1
Imagen de gonzing
+1
0
-1

Hola ayer quise iniciar mi pc y me salio este error "Error: invalid arch dependent ELF magic" y no inicia la maquina tengo instalado el ubuntu-12.04.1-desktop-i386 y mi maquina es una pc de escritorio con procesador AMD athlon x2 64. Si pudieran ayudarme estaría muy agradecido y si también podrían recomendarme el SO para mi pc ya que me cambie hace poco a ubuntu. Gracias.

+1
0
-1
Imagen de nica
+1
0
-1

que abras otro tema.

+1
0
-1
Imagen de ubu777
+1
0
-1

Por lo que veo, utilizas Xubuntu 12.04, te ofrezco 3 soluciones:

1.- Inicia con el live-cd de Xubuntu 12.04 32 bits y copia como superusuario la carpeta que hayas borrado a tu sistema instalado.

2.- Abre un post solicitando que alguien te pase una carpeta comprimida dpkg de Xubuntu 12.04 32 bits (por lo mucho pesa unos 50 mb), la descomprimes como superusuario en el directorio correspondiente de tu sistema. (con gusto te pasaba la mia, pero no te va a funcionar, tengo Ubuntu 12.10 Unity x64)

3.- Compilate DPKG:

Descargate las fuentes a tu carpeta personal de DPKG para Ubuntu 12.04 -> http://archive.ubuntu.com/ubuntu/pool/main/d/dpkg/dpkg_1.16.1.2ubuntu7.t...
Descomprime el paquete en tu carpeta personal y abre terminal:

cd dpkg-1.16.1.2ubuntu7
./configure
make
sudo make install

+1
0
-1

--------------------------------------------------------------------
*I'm sorry, I've played very sensitive fibers. This forum is not ready for my help. You can contact me in the master forums.
Ubuntu Forums Org.

Imagen de nica
+1
0
-1

Yo uso ubuntu 12.04 :

veri@veri-desktop:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu 12.04.1 LTS" 32-bit

Probe con la solucion numero 3:

veri@veri-desktop:~$ cd dpkg-1.16.1.2ubuntu7
veri@veri-desktop:~/dpkg-1.16.1.2ubuntu7$ ./configure
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether NLS is requested... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking for flex... no
checking for lex... no
checking for ranlib... ranlib
checking for doxygen... no
checking for dot... NO
checking for po4a... no
checking for perl... /usr/bin/perl
checking for pod2man... pod2man
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking for gzdopen in -lz... no
checking zlib.h usability... no
checking zlib.h presence... no
checking for zlib.h... no
checking for BZ2_bzdopen in -lbz2... no
checking bzlib.h usability... no
checking bzlib.h presence... no
checking for bzlib.h... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for is_selinux_enabled in -lselinux... no
checking selinux/selinux.h usability... no
checking selinux/selinux.h presence... no
checking for selinux/selinux.h... no
checking whether Unicode is requested... yes
checking ncurses/ncurses.h usability... no
checking ncurses/ncurses.h presence... no
checking for ncurses/ncurses.h... no
checking ncurses.h usability... no
checking ncurses.h presence... no
checking for ncurses.h... no
checking curses.h usability... no
checking curses.h presence... no
checking for curses.h... no
checking ncurses/term.h usability... no
checking ncurses/term.h presence... no
checking for ncurses/term.h... no
checking term.h usability... no
checking term.h presence... no
checking for term.h... no
checking ncursesw/ncurses.h usability... no
checking ncursesw/ncurses.h presence... no
checking for ncursesw/ncurses.h... no
checking ncursesw/term.h usability... no
checking ncursesw/term.h presence... no
checking for ncursesw/term.h... no
checking for initscr in -lncursesw... no
checking for initscr in -lncurses... no
checking for initscr in -lcurses... no
configure: error: no curses library found

Y no me deja poner el make ni instalarlo

+1
0
-1
Imagen de ubu777
+1
+1
-1

Esta pidiendo el paquete libncurses-dev, me temo que ese paquete exacto para compilar no hay, si gustas compilar este:
http://archive.ubuntu.com/ubuntu/pool/main/n/ncurses/ncurses_5.9.orig.ta...
A ver si te sirve, y si se compila, puedes continuar con la compilación de DPKG.

+1
+1
-1

--------------------------------------------------------------------
*I'm sorry, I've played very sensitive fibers. This forum is not ready for my help. You can contact me in the master forums.
Ubuntu Forums Org.

Imagen de nica
+1
0
-1

Compile el que me diste, y todo en orden, después compile el DPKG con la carpeta que me habías dado antes y no me salio ningún error! Pero ahora que es lo que tengo que hacer, porque me sigue saliendo el mismo error que al principio

Muchas gracias

+1
0
-1
Imagen de nica
+1
+1
-1

Antes de haer lo del live-cd lo solucione con estempost

http://networkedblogs.com/gsJB7

+1
+1
-1
Imagen de ubu777
+1
0
-1

Que bien que lo hayas solucionado y compartido la solucion

+1
0
-1

--------------------------------------------------------------------
*I'm sorry, I've played very sensitive fibers. This forum is not ready for my help. You can contact me in the master forums.
Ubuntu Forums Org.